# Tomcat
server:
  port: 9419
  servlet:
    context-path:
#mybatis-plus配置
#mybatis-plus:
#  mapper-locations:
#    - classpath*:com/jeeplus/modules/**/*Mapper.xml
#    - classpath:/META-INF/admin-mybatis-mappings/*.xml
#    - classpath:/META-INF/modeler-mybatis-mappings/*.xml
#  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.jeeplus.modules.**.entity
#  configuration-properties:
#    prefix:
#    boolValue: TRUE
#    blobType: BLOB

# Spring
spring:
  main:
    allow-bean-definition-overriding: true
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  application:
    # 应用名称
    name: jeeplus-ccpm
  profiles:
    # 环境配置
    active: pro
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        # 命名空间
        namespace: ${spring.profiles.active}
        username: nacos
        password: jsxgpassword
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.profiles.active}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
      auth:
        plugin:
          nacos:
            token:
              secret:
                key: cCtJSWRxbW1xT3FmZkh1RTBpdTltYkM5ZlNSaTRyQ1RiSzJzV1pweEYycz0=
#ribbon的超时时间
ribbon:
  ConnectTimeout: 60000 # 连接超时时间(ms)
  ReadTimeout: 60000 # 通信超时时间(ms)

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms

#上传文件绝对路径, 路径中不允许包含“userfiles”
userfiles:
  basedir:       # 文件上传路径，可以留空
  allowedType: file  # 允许上传的文件类型， all, file ,image, audio, video, office
  extensions:
    all: all       # 允许上传所有类型文件
    file: 7z,aiff,asf,avi,bmp,csv,doc,docx,fla,flv,gif,gz,gzip,jpeg,jpg,mid,mov,mp3,mp4,mpc,mpeg,mpg,ods,odt,pdf,png,ppt,pptx,pxd,qt,ram,rar,rm,rmi,rmvb,rtf,sdc,sitd,swf,sxc,sxw,tar,tgz,tif,tiff,txt,vsd,wav,wma,wmv,xls,xlsx,zip       # 只允许上传安全文件（linux系统非可执行）
    image: gif,jpg,jpeg,bmp,png     # 只允许上传图片
    audio: CD,OGG,MP3,ASF,WMA,WAV,MP3PRO,RM,REAL,APE,MODULE,MIDI,VQF    # 只允许上传音频
    video: AVI,WMV,RM,RMVB,MPEG1,MPEG2,MPEG4(MP4),3GP,ASF,SWF,VOB,DAT,MOV,M4V,FLV,F4V,MKV,MTS,TS     # 只允许上传视频
    office: txt,xls,xlsx,xlsm,xltx,xltm,xlsb,xlam,doc,docx,docm,dotx,dotm,ppt,pptx,pptm,ppsx,ppsm,potx,potm,ppam     # 只允许上传office文件

#oss配置
config:
  accessory:
    type: minIO       #local, aliyun, minIO
    baseDir: file
    local:
      location: d:\\accessory
    aliyun:
      aliyunUrl: http://oss.gangwaninfo.com
      aliyunDownloadUrl: http://cdn.gangwaninfo.com
      endpoint: http://oss-cn-hangzhou.aliyuncs.com
      accessKeyId: LTAI5tKa6kzGr5EyPWJB4EcD
      accessKeySecret: arHxB7ZPhizrBYf4844TtyaRctPMgW
      bucketName: xg-pg
    minIO:
      endpoint:
      accessKey:
      secretKey:
      bucketName:

#阿里云文件夹路径
aliyun_directory: attachment-file/assess
#签章阿里云文件bucketName
qzBucketName: xg-qz

